%define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")

Name:		pdfnup
Version:        0.4.1
Release:        1
Summary:        Layout multiple pages per sheet of a PDF document.
Group:          Applications/System
License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{name}/%{version}
Source0:        http://www.dinu-gherman.net/tmp/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  python-devel >= 2.6.2
BuildRequires:  python-setuptools >= 0.6.14-1

Requires:       pyPdf >= 1.13-1
Requires:       python >= 2.6.2

%description
Pdfnup is a Python module and command-line tool for layouting multiple pages
per sheet of a PDF document.  Using it you can take a PDF document and create
a new PDF document from it where each page contains a number of minimized pages
from the original PDF file.

Right now pdfnup should be used on documents with all pages the same size, and
half square page numbers per sheet work best on paper sizes of the ISO A series.

Basically, pdfnup wrapps pyPdf, a package written by Mathieu Fenniak, which
does not provide tools like this for using the core functionality easily from
the command-line or from a Python module.


%prep
%setup -q


%build
python setup.py build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

python setup.py install -O1 --skip-build --root ${RPM_BUILD_ROOT}

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%doc PKG-INFO README.html README.txt
%{_bindir}/*
%{python_sitelib}/%{name}*
/usr/bin/*


%changelog
* Tue Jul 30 2013 Michael Perzl <michael@perzl.org> - 0.4.1-1
- first version for AIX V5.1 and higher
